Subject: Re: [net-next v3 14/16] i40e: make a define from a large constant

From: Jeff Kirsher <[email-masked]>
Date: Fri, 20 Dec 2013 12:12:11 -0800

On Fri, 2013-12-20 at 10:40 -0800, Joe Perches wrote:
> On Fri, 2013-12-20 at 10:21 -0800, Jeff Kirsher wrote:
> > Make a define used in the header file by both VF and PF drivers.
> []
> > diff --git a/drivers/net/ethernet/intel/i40e/i40e_txrx.h b/drivers/net/ethernet/intel/i40e/i40e_txrx.h
> []
> > @@ -66,6 +66,26 @@ enum i40e_dyn_idx_t {
> []
> > +/* Supported RSS offloads */
> > +#define I40E_DEFAULT_RSS_HENA ( \
> > +	((u64)1 << I40E_FILTER_PCTYPE_NONF_UNICAST_IPV4_UDP) | \
> 
> BIT_ULL
> 
> > +	((u64)1 << I40E_FILTER_PCTYPE_NONF_MULTICAST_IPV4_UDP) | \
> 
> etc...
> 

Joe, I am not seeing widespread use of the macro BIT_ULL, so what is the
driving factor to use the macro?  I know you mentioned this on a
previous patch I pushed and wanted to ask then, but simply forgot.